import request from '@/utils/request'

// 查询礼品类型列表
export function listGiftType(query) {
  return request({
    url: '/service/giftType/list',
    method: 'get',
    params: query
  })
}

// 查询礼品类型详细
export function getGiftType(id) {
  return request({
    url: '/service/giftType/' + id,
    method: 'get'
  })
}

// 新增礼品类型
export function addGiftType(data) {
  return request({
    url: 'aaaaservice/giftType',
    method: 'post',
    data: data
  })
}

// 修改礼品类型
export function updateGiftType(data) {
  return request({
    url: '/service/giftType',
    method: 'put',
    data: data
  })
}

// 删除礼品类型
export function delGiftType(id) {
  return request({
    url: '/service/giftType/' + id,
    method: 'delete'
  })
}
